Show / Hide Table of Contents

# Class OpenIddictServerEvents.ApplyLogoutResponseContext

Represents an event called before the logout response is returned to the caller.

##### Inheritance

System.Object
OpenIddictServerEvents.BaseContext
OpenIddictServerEvents.BaseRequestContext
OpenIddictServerEvents.ApplyLogoutResponseContext

##### Inherited Members

OpenIddictServerEvents.BaseRequestContext.IsRequestHandled
OpenIddictServerEvents.BaseRequestContext.IsRequestSkipped
OpenIddictServerEvents.BaseRequestContext.HandleRequest()
OpenIddictServerEvents.BaseRequestContext.SkipRequest()
OpenIddictServerEvents.BaseContext.Transaction
OpenIddictServerEvents.BaseContext.Issuer
OpenIddictServerEvents.BaseContext.EndpointType
OpenIddictServerEvents.BaseContext.Logger
OpenIddictServerEvents.BaseContext.Options
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class ApplyLogoutResponseContext : OpenIddictServerEvents.BaseRequestContext

### Constructors

#### ApplyLogoutResponseContext(OpenIddictServerTransaction)

Creates a new instance of the OpenIddictServerEvents.ApplyLogoutResponseContext class.

##### Declaration

    public ApplyLogoutResponseContext(OpenIddictServerTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictServerTransaction | transaction |

### Properties

#### Error

Gets the error code returned to the client application. When the response indicates a successful response, this property returns `null`.

##### Declaration

    public string Error { get; }

##### Property Value

Type | Description
--- | ---
System.String |

#### PostLogoutRedirectUri

Gets or sets the callback URL the user agent will be redirected to, if applicable. Note: manually changing the value of this property is generally not recommended and extreme caution must be taken to ensure the user agent is not redirected to an untrusted address, which would result in an "open redirection" vulnerability.

##### Declaration

    public string PostLogoutRedirectUri { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

#### Request

Gets or sets the request, or `null` if it couldn't be extracted.

##### Declaration

    public OpenIddictRequest? Request { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<OpenIddictRequest> |

#### Response

Gets or sets the response.

##### Declaration

    public OpenIddictResponse Response { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictResponse |